package com.sf._08_calandar;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.Scanner;

public class Test1 {
    public static void main(String[] args) throws ParseException {
        Scanner scanner = new Scanner(System.in);
        System.out.println("请录入日期格式 xxxx/xx/xx  xx:xx");
        String str = scanner.nextLine();
        // 创建sdf 格式话日期
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy/MM/dd HH:mm");
        // 把输入内容转成日期类型才可以做后面+操作
        Date date = sdf.parse(str);
        // 创建日历类
        Calendar instance = Calendar.getInstance();
        // 把日期存到日历中方便操作
        instance.setTime(date);
        //将小时+1  将月+1  将天+1
        instance.add(Calendar.DAY_OF_MONTH,1);
        instance.add(Calendar.MONTH,1);
        instance.add(Calendar.HOUR,1);
        Date changeDate = instance.getTime();
        // 创建sdf 格式日期
        SimpleDateFormat sdf1 = new SimpleDateFormat("yyyy_MM_dd HH:mm");
        String formatDate = sdf1.format(changeDate);
        System.out.println(formatDate);

    }
}
